Skip to main content
Lead Lists can be used to upload a set of leads which will then undergo additional enrichment and processing in order to reveal as much information on each lead as possible, leveraging Amplemarket’s vast database. Usually the flow for this is:
  1. POST /lead-lists/ with a list of LinkedIn URLs that will be processed and revealed
  2. In the response, follow the URL provided in response._links.self.href
  3. Continue polling the endpoint while respecting the Retry-After HTTP Header
  4. When validation completes, the results are in response.results
  5. If the results are larger than the default limit, then follow the URL provided in response._links.next.href

Lead List Object

Lead List Entry Object

Lead List Endpoints

Creating a new Lead List

Request A list of leads can be supplied to create a new Lead List with a subset of settings that are included within the lead_list object:
  • owner (string, mandatory) - email of the owner of the lead list which must be an existing user; if a revoked users is provided, the fallback will be the oldest admin’s account instead
  • shared (boolean, mandatory) - indicates whether this list should be shared across the account or just for the specific user
  • type (string, mandatory) - currently only linkedin, email, and titles_and_company are supported
  • leads (array of lead_list_entry, mandatory) where:
    • For the linkedin type, each entry only requires the field linkedin_url
    • For the email type, each entry only requires the field email
    • For the titles_and_company type, each entry only requires the fields title and company_name (or company_domain)
  • name (string, optional) - defaults to an automatically generated one when not supplied
  • visible (boolean, optional) - defaults to true
  • options (object)
    • reveal_phone_numbers (boolean) - if phone numbers should be revealed for the leads
    • validate_email (boolean) - if the emails of the leads should be validated
      • Can only be disabled for lists of type email
    • enrich (boolean) - if the leads should be enriched
      • Can only be disabled for lists of type email
Response This will return a 202 Accepted indicating that the email validation will soon be started:
HTTP Headers
  • Location: GET points back to the object that was created
Links
  • self - GET points back to the object that was created

Polling a Lead List

Request The Lead List object can be polled in order to receive results:
Response Will return a 200 OK while the operation hasn’t yet terminated.
HTTP Headers
  • Retry-After - indicates how long to wait until performing another GET request
Links
  • self - GET points back to the same object

Retrieving a Lead List

Request When the processing of the lead list has terminated, the results can be retrieved using the same url:
Response The response will display up to 100 results and will contain as much information as available about each lead, however there may be many fields that don’t have all information.
If the list contains more than 100 entries, then pagination is required traverse them all and can be done using the links such as: response._links.next.href (e.g. GET /lead-lists/81f63c2e-edbd-4c1a-9168-542ede3ce98f?page[size]=100&page[after]=81f63c2e-edbd-4c1a-9168-542ede3ce98a). Links
  • self - GET points back to the same object
  • next - GET points to the next page of entries, when available
  • prev - GET points to the previous page of entries, when available

List Lead Lists

Request Retrieve a list of Lead Lists:
Response This will return a 200 OK with a list of Lead Lists:

Add Leads

Request You can also append leads to a Lead List using the ID of the Lead List and the leads you want to add. You can add up to 10,000 leads at a time. However, each Lead List can have a maximum of 20,000 leads. When approaching this limit, new leads will be added partially until the limit is reached. When the limit is hit, a 409 HTTP status code will be returned. Enriching, email validation, and reveal settings are inherited from the Lead List settings. If credits are spent, those will be deducted from the admin user of the account.
Response This will also return a 202 Accepted